EDIT - feature request #9005

Make the TaxonNode flags alternatives and change excluded notes to status notes
05/06/2020 11:59 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.15

Severity: normal

Description

Currently we have unplaced, excluded and placement doubtful as flags.

It is expected that these neve occurr in parallel therefor they can be handled as enumeration. If in future it turns out that they are
needed in parallel it can be changed to an enumset without bigger problems.

This way also the notes which are currently limited to be notes on the excluded flag could be extended to become general status
notes.

Related issues:

Related to EDIT - feature request #9031: Adapt CdmLightExport to new TaxonNod... Closed
Related to EDIT - feature request #9002: Find suitable symbols for excluded, ... New

Related to EDIT - feature request #9044: TaxonNodeDtoBeanProcessor supports n... Closed
Related to EDIT - feature request #9010: Display taxon node status excluded, ... Closed
Related to EDIT - feature request #10096: Add new TaxonNode status and make n... Closed
Precedes EDIT - feature request #9033: Adapt TaxEditor to new TaxonNode.status Closed
Precedes EDIT - task #9036: Remove old TaxonNode.unplaced/doubtful/excluded c... Closed

Associated revisions

Revision 284fff5f - 05/27/2020 11:22 AM - Andreas Miiller

ref #9005 rename TaxonNode.excludedNote -> statusNote and replace flags by status enum

Revision d96830e8 - 05/27/2020 11:52 AM - Andreas Miller

ref #9005 adapt NewTaxonBasePresenter to new TaxonNodeStatus

Revision 11a51de3 - 05/27/2020 12:15 PM - Andreas Miiller

ref #9005 adapt vaadin tests to new TaxonNode.status

Revision c4eae296 - 05/27/2020 12:31 PM - Andreas Miiller
ref #9005 try to fix unplaced in CdmQueryFactory

Revision aed50618 - 05/27/2020 01:56 PM - Andreas Miiller
ref #9005 try to fix unplaced in CdmQueryFactory and LeafNodeTaxonContainer

Revision 9ab63b7f - 05/28/2020 01:02 PM - Andreas Miiller
ref #9002 Add symbols to TaxonNodeStatus

Revision 309c12be - 05/28/2020 02:28 PM - Andreas Miiller
ref #9002, ref #9005 use getSymbol() for TaxonNode.status in TaxEditor

Revision c911¢118 - 05/28/2020 02:42 PM - Andreas Miiller

ref #9005 adapt imports to new TaxonNode.status and status notes

Revision b3085974 - 06/10/2020 10:42 PM - Andreas Miiller
ref #9005 , ref #9036 remove flags from TaxonNode in TaxEditor test data
History

#1 - 05/26/2020 12:14 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 20

Renamed excludedNote -> statusNote

#2 - 05/26/2020 01:13 PM - Andreas Miiller
- Related to feature request #9031: Adapt CdmLightExport to new TaxonNode.status added

#3 - 05/27/2020 02:46 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 20 to 50

#4 - 05/27/2020 02:50 PM - Andreas Miiller

- Precedes feature request #9033: Adapt TaxEditor to new TaxonNode.status added

#5 - 05/27/2020 10:51 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

Update script works and functionality tested in TaxEditor.

#6 - 05/27/2020 10:53 PM - Andreas Miuller

- Precedes task #9036: Remove old TaxonNode.unplaced/doubtful/excluded columns added

#7 - 05/28/2020 01:06 PM - Andreas Miuller

- Related to feature request #9002: Find suitable symbols for excluded, unplaced, placement doubtful added

#8 - 05/28/2020 03:37 PM - Andreas Kohlbecker

- Related to feature request #9044: TaxonNodeDtoBeanProcessor supports new TaxonNodeStatus terms added

#9 - 06/03/2020 04:44 PM - Andreas Miuller

- Related to feature request #9010: Display taxon node status excluded, unplaced, placement doubtful on taxon page and taxon tree and show taxon
node status note and taxon node source on taxon page added

#10 - 07/26/2022 11:15 AM - Andreas Miiller

- Related to feature request #10096: Add new TaxonNode status and make notes field more general added
#11 - 07/26/2022 11:15 AM - Andreas Miiller

- Subject changed from Make the TaxonNode flags alternatives and change excludednotes to status notes to Make the TaxonNode flags alternatives
and change excluded notes to status notes
